What's new
PGBlitz.com

Register Now! Find useful tips, Interact /w Community Members and join the part the Best Community on the Internet!

Discussion CloudPlow CRON error

antigravity

Respected Member
PG Version
8.6.3
Mount Type
Blitz Encrypted
Server Type
Remote - Dedicated Server
Hi everyone

Getting the following error from the CloudPlow command in CRON - is this common with other users? If not- what do I need to do to fix it?


Code:
2019-05-31 00:00:03,531 - ERROR      - git                  - latest_version                 - Exception retrieving the latest commit id:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/git/refs/symbolic.py", line 140, in _get_ref_info_helper
    with open(osp.join(repodir, ref_path), 'rt') as fp:
FileNotFoundError: [Errno 2] No such file or directory: '/opt/appdata/cloudplow/.git/refs/remotes/origin/master'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/appdata/cloudplow/utils/version.py", line 32, in latest_version
    return str(fetch_info[0].commit)
  File "/usr/local/lib/python3.6/dist-packages/git/remote.py", line 268, in commit
    return self.ref.commit
  File "/usr/local/lib/python3.6/dist-packages/git/refs/symbolic.py", line 192, in _get_commit
    obj = self._get_object()
  File "/usr/local/lib/python3.6/dist-packages/git/refs/symbolic.py", line 185, in _get_object
    return Object.new_from_sha(self.repo, hex_to_bin(self.dereference_recursive(self.repo, self.path)))
  File "/usr/local/lib/python3.6/dist-packages/git/refs/symbolic.py", line 127, in dereference_recursive
    hexsha, ref_path = cls._get_ref_info(repo, ref_path)
  File "/usr/local/lib/python3.6/dist-packages/git/refs/symbolic.py", line 176, in _get_ref_info
    return cls._get_ref_info_helper(repo, ref_path)
  File "/usr/local/lib/python3.6/dist-packages/git/refs/symbolic.py", line 150, in _get_ref_info_helper
    for sha, path in cls._iter_packed_refs(repo):
  File "/usr/local/lib/python3.6/dist-packages/git/refs/symbolic.py", line 100, in _iter_packed_refs
    raise TypeError("PackingType of packed-Refs not understood: %r" % line)
TypeError: PackingType of packed-Refs not understood: '# pack-refs with: peeled fully-peeled sorted'
2019-05-31 00:00:03,534 - ERROR      - git                  - check_version                  - Unable to check version due to failure to determine current/latest commits
2019-05-31 00:00:03,545 - INFO       - pushover             - __init__                       - Initialized Pushover notification agent
2019-05-31 00:00:03,545 - INFO       - cloudplow            - <module>                       - Started in clean mode
2019-05-31 00:00:03,546 - INFO       - cloudplow            - do_hidden                      - Starting hidden cleaning
2019-05-31 00:00:03,546 - INFO       - unionfs              - __files                        - Found 0 hidden files in '/mnt/move/.unionfs-fuse'
2019-05-31 00:00:03,546 - INFO       - unionfs              - __folders                      - Found 0 hidden folders in '/mnt/move/.unionfs-fuse'
2019-05-31 00:00:03,546 - ERROR      - path                 - remove_empty_dirs              - Cannot remove empty directories from '/mnt/move/.unionfs-fuse' as it does not exist
2019-05-31 00:00:03,547 - INFO       - unionfs              - remove_empty_dirs              - Removed empty directories from '/mnt/move/.unionfs-fuse'
2019-05-31 00:00:03,547 - INFO       - cloudplow            - do_hidden                      - Finished hidden cleaning
2019-05-31 00:00:03,547 - INFO       - decorators           - timer                          - 'do_hidden' from 'cloudplow.py' finished in 0 seconds
 

hooper

Legendary Member
Staff
Donor
just curious, what do you use cloudplow for?

EDIT:
I see that it is running on my PG system also, but I am not getting any errors. It looks to mainly cleanup hidden files fom unionfs, but we don't use that anymore. Mergerfs is used, so maybe this is obsolete now?
 
Last edited:

antigravity

Respected Member
Yeah I didn't install it manually - it must be a part of 8.6.3 PGBlitz?

I haven't edited any of it- so if it's creating errors, it's doing it on it's own.

Should this be removed or can I hash it out of CRON?
 
Last edited:

Create an account or login to comment

You must be a member in order to leave a comment

Create account

Create an account on our community. It's easy!

Log in

Already have an account? Log in here.

Similar threads


Development Donations

 

Top NZB NewsGroups!

Members - Up To a 58% Discount!

Trending

Online statistics

Members online
16
Guests online
123
Total visitors
139
Top